from plone.uuid.interfaces import IUUID


def person_created(object, event):
    person_modified(object, event)
    # set collection to look for presentations and training classes created by this person
    uuid = IUUID(object, None)
    object.query = [
        {
            'i': 'portal_type',
            'o': 'plone.app.querystring.operation.selection.any',
            'v': ['presentation', 'training_class']
        },
        {
            'i': 'speaker',
            'o': 'plone.app.querystring.operation.selection.any',
            'v': [uuid]
        }
    ]
    object.sort_on = 'sortable_title'

def person_modified(object, event):
    fullname = f"{object.firstname} {object.lastname}"
    if object.title != fullname:
        object.title = fullname

def presentation_created(object, event):
    object.query = [
        {'i': 'Title', 'o': 'plone.app.querystring.operation.string.contains', 'v': 'xxx remove this and set correct criteria'},
    ]

def training_class_created(object, event):
    object.query = [
        {'i': 'Title', 'o': 'plone.app.querystring.operation.string.contains', 'v': 'xxx remove this and set correct criteria'},
    ]
