from plone import api


def add_some_indexes(setup):
    default_profile = 'profile-sandia.conferencepolicy:default'
    setup.runImportStepFromProfile(default_profile, 'catalog')
    for brain in api.content.find(portal_type='presentation'):
        obj = brain.getObject()
        obj.reindexObject(idxs=[
          'audience',
          'duration',
          'level',
          'speaker',
          ])

def update_duration_vocab(setup):
    default_profile = 'profile-sandia.conferencepolicy:default'
    setup.runImportStepFromProfile(default_profile, 'plone.app.registry')
    for brain in api.content.find(portal_type=['presentation','training_class']):
        obj = brain.getObject()
        duration = obj.duration
        if duration == 'LongTalk':
            obj.duration = 'Long Talk'
        elif duration == 'ShortTalk':
            obj.duration = 'Short Talk'
        elif duration == 'HalfDay':
            obj.duration = '1/2 day'
        elif duration == 'OneDay':
            obj.duration = '1 day'
        elif duration == 'TwoDay':
            obj.duration = '2 day'
        obj.reindexObject(idxs=[
          'duration',
          ])
